Skip to content

The Pricefx Backend API

Pricefx REST API Reference

Languages
Servers
Mock server
https://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi
URL:
https://{baseUrl}/pricefx/{partition}

General

Operations

Products

Operations

Product Extensions

Operations

Product Image

Operations

Customers

Operations

Delete a Customer

Request

Deletes a customer.

Only one object can be deleted per request (unless batched). Some object types may be blocked from being deleted by the update command as special processing is done by a dedicated manager command.

Note: Some object types are only soft-deleted, some are hard-deleted in the database. This behavior cannot be influenced by the client.

Security
basic or X-PriceFx-jwt
Bodyapplication/json
dataobjectrequired
data.​typedIdstringnon-emptyrequired
curl -i -X POST \
  -u <username>:<password> \
  https://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/delete/C \
  -H 'Content-Type: application/json' \
  -d '{
    "data": {
      "typedId": "2147492214.C"
    }
  }'

Responses

OK

Bodyapplication/json
responseobjectrequired
response.​nodestringnon-emptyrequired
response.​dataArray of objectsnon-emptyuniquerequired
response.​data[].​versionnumberrequired
response.​data[].​typedIdstringnon-emptyrequired
response.​data[].​customerIdstringnon-emptyrequired
response.​data[].​namestringnon-emptyrequired
response.​data[].​parentIdany
response.​data[].​userGroupEditany
response.​data[].​userGroupViewDetailsany
response.​data[].​nodeIdnumberrequired
response.​data[].​createDatestringnon-emptyrequired
response.​data[].​createdBynumberrequired
response.​data[].​lastUpdateDatestringnon-emptyrequired
response.​data[].​lastUpdateBynumberrequired
response.​data[].​attribute1stringnon-emptyrequired
response.​data[].​attribute2stringnon-emptyrequired
response.​data[].​attribute3any
response.​data[].​attribute4any
response.​data[].​attribute5any
response.​data[].​attribute6any
response.​data[].​attribute7any
response.​data[].​attribute8any
response.​data[].​attribute9any
response.​data[].​attribute10any
response.​data[].​attribute11any
response.​data[].​attribute12any
response.​data[].​attribute13any
response.​data[].​attribute14any
response.​data[].​attribute15any
response.​data[].​attribute16any
response.​data[].​attribute17any
response.​data[].​attribute18any
response.​data[].​attribute19any
response.​data[].​attribute20any
response.​data[].​attribute21any
response.​data[].​attribute22any
response.​data[].​attribute23any
response.​data[].​attribute24any
response.​data[].​attribute25any
response.​data[].​attribute26any
response.​data[].​attribute27any
response.​data[].​attribute28any
response.​data[].​attribute29any
response.​data[].​attribute30any
response.​data[].​isParentbooleanrequired
response.​statusnumberrequired
Response
application/json
{ "response": { "node": "string", "data": [], "status": 0 } }

List Customers

Request

Retrieves a list of Customers. A filter can be applied (see the request sample).

You can choose fields to be returned in the response by employing the resultFields or valueFields filter:
resultFields: returns key-value pairs as objects. This is the more friendly response compared to valueFields but the server fetches all fields from the database in the backend which might result in a slower performance. See the listCustomersResponseExample_resultFields response example.

valueFields: returns just an array of values. Use this option if a better performance is required. See the listCustomersResponseExample_valueFields response example.

Security
basic or X-PriceFx-jwt
Bodyapplication/json
endRownumber

The number of the end row that defines the end of the result set's returned objects. Use this parameter if you want to implement paging for results.

Default 300
oldValuesany
operationTypestringnon-empty
startRownumber

The number of the first row that defines the start of the result set's returned objects. Use this parameter if you want to implement paging for results.

textMatchStylestringnon-empty
dataobject or null
curl -i -X POST \
  -u <username>:<password> \
  https://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/customermanager.fetchformulafilteredcustomers \
  -H 'Content-Type: application/json' \
  -d '{
    "endRow": 300,
    "oldValues": null,
    "operationType": "fetch",
    "startRow": 0,
    "textMatchStyle": "exact",
    "data": {
      "_constructor": "AdvancedCriteria",
      "operator": "and",
      "criteria": [
        {
          "fieldName": "attribute2",
          "operator": "iEquals",
          "value": "123456789"
        }
      ]
    }
  }'

Responses

Returns customer record details.

Bodyapplication/json
responseobject
Any of:
Response
application/json
{ "response": { "node": "string", "data": [], "status": 0 } }

Assign Customers

Request

Assigns multiple customers to the specified entity (e.g., Price List, Live Price Grid, etc.).

Security
basic or X-PriceFx-jwt
Bodyapplication/json
dataobjectrequired
data.​customerGroupobject
data.​prioritynumberrequired
data.​assignmentstringnon-emptyrequired

The typedId of the entity you want to assign customers to.

Example: "211.PG"
operationstringnon-emptyrequired
Default "add"
curl -i -X POST \
  -u <username>:<password> \
  https://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/customermanager.assign \
  -H 'Content-Type: application/json' \
  -d '{
    "data": {
      "customerGroup": {
        "customerFilterCriteria": {
          "_constructor": "AdvancedCriteria",
          "operator": "and",
          "criteria": [
            {
              "fieldName": "customerId",
              "operator": "inSet",
              "value": [
                "00002",
                "00003"
              ]
            }
          ]
        },
        "label": "00002,00003"
      },
      "priority": 1,
      "assignment": "211.PG"
    },
    "operation": "add"
  }'

Responses

Example response

Bodyapplication/json
responseobject
Response
application/json
{ "response": { "node": "e2e-templates-node", "data": [], "status": 0 } }

Customer Extensions

Operations

Sellers

Operations

Seller Extensions

Operations

Condition Records

Operations

Competition Data

Operations

Imports

Operations

Data Change Requests

Operations

Lookup Tables / Company Parameters

Operations

User Admin

Operations

Authentication

Operations

Admin Tools

Operations

Logics

Operations

Logs

Operations

Custom Forms

Operations

Calculated Field Sets

Operations

Jobs & Tasks

Operations

Data Manager

Operations

Actions

Operations

Action Types

Operations

Price Lists

Operations

Manual Price Lists

Operations

Live Price Grids

Operations

Calculation Grids

Operations

Visual Configuration

Operations

Quotes

Operations

Contracts (Agreements & Promotions)

Operations

Visual Configuration

Operations

Rebate Agreements

Operations

Rebate Calculations

Operations

Rebate Record Group

Operations

Sales Compensations

Operations

Claim Types

Operations

Claims

Operations

Optimization

Operations

Workflow

Operations

Workflow Delegation

Operations

Attachments

To upload a file you need to perform the following actions using endpoints in this category:

  1. Create an Upload Slot
  2. Upload a File
  3. Delete an Upload Slot
Operations

Product Image

Operations

Configuration

Operations

Internationalization

Operations

Metadata

Operations

Clicmanager

Clicmanager (CLIC = "Calculable Line Item Collection") endpoints are used in the REACT version to manipulate Quote/Agreements & Promotions (Contract)/Rebate Agreement/Compensation Plan objects.

Operations

Comments

Operations

Notifications

Operations

Heartbeat

Operations

Key-Value Store

See the Key-Value Database Storage Knowledge Base article for more details.

Operations

Entities

Here you can find all fields of the corresponding entity (represented by the type code).
Use the /metadata.describe endpoint to find out the correct data type of the field that is used in your partition.

otherSchemas

Schemas